FWrapStaticDataInSharedPointer< Data > Class Template Reference

functor to wrap statically allocated data a shared pointer representation More...

`#include <mia/core/tools.hh>`

## Public Types

typedef std::shared_ptr< Data > | PData

## Public Member Functions

PData | operator() (Data &d) const

## Detailed Description

template<typename Data>
class FWrapStaticDataInSharedPointer< Data >

functor to wrap statically allocated data a shared pointer representation

This functor wraps a statically allocated data into a std::shared_ptr. The data must not be constant and it well not be freed when the shared_ptr is destoyed. The functor is designed to be usable by the std::transform function.

Template Parameters

  Data | the data type to be wrapped into the shared pointer;

Definition at line 59 of file tools.hh.

## Member Typedef Documentation

## PData

template<typename Data>

typedef std::shared_ptr<Data> FWrapStaticDataInSharedPointer< Data >::PData

Definition at line 62 of file tools.hh.

## Member Function Documentation

## operator()()

template<typename Data>

PData FWrapStaticDataInSharedPointer< Data >::operator() | ( | Data & | d | ) | const

inline

Definition at line 63 of file tools.hh.

The documentation for this class was generated from the following file:

- tools.hh